package com.sundot.airport.blocked.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sundot.airport.blocked.domain.BlockedRate;

/**
 * 速率Service接口
 *
 * @author ruoyi
 * @date 2026-04-13
 */
public interface IBlockedRateService extends IService<BlockedRate> {
    /**
     * 查询速率
     *
     * @param id 速率主键
     * @return 速率
     */
    public BlockedRate selectBlockedRateById(Long id);

    /**
     * 查询速率列表
     *
     * @param blockedRate 速率
     * @return 速率集合
     */
    public List<BlockedRate> selectBlockedRateList(BlockedRate blockedRate);

    /**
     * 新增速率
     *
     * @param blockedRate 速率
     * @return 结果
     */
    public int insertBlockedRate(BlockedRate blockedRate);

    /**
     * 修改速率
     *
     * @param blockedRate 速率
     * @return 结果
     */
    public int updateBlockedRate(BlockedRate blockedRate);

    /**
     * 批量删除速率
     *
     * @param ids 需要删除的速率主键集合
     * @return 结果
     */
    public int deleteBlockedRateByIds(Long[] ids);

    /**
     * 删除速率信息
     *
     * @param id 速率主键
     * @return 结果
     */
    public int deleteBlockedRateById(Long id);

    /**
     * 导入速率列表
     *
     * @param list          数据列表
     * @param updateSupport 是否更新支持
     * @return 导入结果信息
     */
    public String importData(List<BlockedRate> list, boolean updateSupport);
}
